﻿@model SYM.DataAccessLayer.mountain
@using SYM.SearchEngine.MvcApp.Helpers

@{
    ViewBag.Title = "" + @Model.mntn_name;
    ViewBag.Page = "Mountain Details";
    Layout = "~/Views/Shared/Metr0n1c/_Metr0n1c.4.template.cshtml";
    string bold = "";
    string mntn_mountainrange = "";
    if (Model.mntn_mountainrange != null)
        mntn_mountainrange = Model.mntn_mountainrange.mntnRange_name;
}
@section ExtraHeadContent {
    <meta name="description" content="The mountain @Model.mntn_name @Model.mntn_altitude m. is located in @mntn_mountainrange (Alpine subsection SOIUSA)." />
    <meta name="author" content="" />
}


<div class="row">
    <div class="col-md-12">
        <div class="portlet light bordered">
            <div class="portlet-title">
                <div class="caption">
                    <i class="icon-equalizer font-green-haze"></i>
                    <span class="caption-subject font-green-haze bold uppercase">@Model.mntn_name</span>
                    <span class="caption-helper">@Model.mntn_altitude m. - ( @mntn_mountainrange )</span>
                </div>
                @if (Request.IsAuthenticated)
                {
                    <div class="actions">
                        <a href="javascript:;" id="addAdventure" class="btn btn-success btn-sm">
                            <i class="fa fa-plus"></i> @SYM.Localization.Resources.Views.Mountain.Details.AddToYour <b>Adventure List</b> <i class="fa fa-heartbeat"></i>
                        </a>
                    </div>
                }
            </div>
            <div class="portlet-body form">
                <div class="row">
                    <div class="col-md-8">
                        <div id="gmap_marker" class="gmaps"></div>
                    </div>
                    <div class="col-md-4">
                        @if (Model.mntn_mountainrange != null)
                        {
                            <h4 class="form-section">@Model.mntn_mountainrange.mountain.Count() in @Model.mntn_mountainrange.mntnRange_name</h4>
                        }
                        <div id="gmap_results"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@section scripts {
<script type="text/javascript">

    var map;

    function loadResults(data) {
        var items, markers_data = [];
        if (data.length > 0) {
            items = data;

            for (var i = 0; i < items.length; i++) {
                var item = items[i];

                if (item.lat != undefined && item.lng != undefined) {
                    var icon = 'http://maps.google.com/mapfiles/kml/shapes/placemark_circle_highlight.png';

                    markers_data.push({
                        lat: item.lat,
                        lng: item.lng,
                        title: item.name,
                        animation: google.maps.Animation.DROP,
                        icon: {
                            size: new google.maps.Size(32, 32),
                            url: icon
                        }
                    });
                }
            }
        }

        map.addMarkers(markers_data);
    }

    var mapMarker = function () {

        $(document).on('click', '.pan-to-marker', function (e) {
            e.preventDefault();
            var position, lat, lng, $index;
            $index = $(this).data('marker-index');
            position = map.markers[$index].getPosition();
            lat = position.lat();
            lng = position.lng();
            map.setCenter(lat, lng);
        });

        map = new GMaps({
            div: '#gmap_marker',
            lat: '@Model.mntn_latitude.ToString().Replace(",", ".")',
            lng: '@Model.mntn_longitude.ToString().Replace(",", ".")',
        });

        map.on('marker_added', function (marker) {
            var index = map.markers.indexOf(marker);
            $('#gmap_results').append('<li><a href="#" class="pan-to-marker" data-marker-index="' + index + '">' + marker.title + '</a></li>');

            if (index == map.markers.length - 1) {
                map.fitZoom();
            }
        });

        $.ajax({
            type: "POST",
            url: "/api/autocomplete/GetMountainByRange",
            data: '{p_rangeid:"@Model.mntnRange_id"}',
            contentType: "application/json; charset=utf-8",
            cache: false,
            success: function (response) {
                loadResults(response);
            },
            error: function () {
                console.log("Error counter");
            }
        });
    }

    setTimeout("mapMarker();", 500);

</script>

}
